include masm32rt.inc    ; masm32 v8.2 SP2a or later compile-time libs

DlgProc         proto   :HWND,:UINT,:WPARAM,:LPARAM
OptionsDlgProc  proto   :HWND,:UINT,:WPARAM,:LPARAM
szCopy          proto   :DWORD,:DWORD
EditFile        proto   :DWORD
GetNewPath      proto   :DWORD

SetOptionsSZ macro
    mov nFileSize,1104
    for paths:REQ, <path1,path2,path3,path4,path5,path6>
        invoke SetDlgItemText,hWinO,nFileSize,addr paths
        add nFileSize,1
    endm
endm

GetOptionsSZ macro
    mov nFileSize,1104
    for paths:REQ, <path1,path2,path3,path4,path5,path6>
        invoke GetDlgItemText,hWinO,nFileSize,addr paths,255
        add nFileSize,1
    endm
endm

.data
szlvc           db  'File Results',0,0,0,0
szTitle         db  ' Lib Search Tool v0.9a',0,0
szAboutMsg      db  'MASM32 Search Utility written by Mark Jones 2006. '
                db  'Cheers to Steve Hutchennson and Pelle Orinius.',0,0,0,0
ofnFilter       db  'All Files',0,'*.*',0,0,0       ; OpenFileName filter
ofnTitle        db  'Select a file of the type you wish to search: ',0
szWait          db  'Wait..',0,0                    ; search button text
szCaseSens      db  '&Case-Sensitive',0             ; menu texts
szCaseInSens    db  '&Case-Insensitive',0,0,0       ;
szSearch        db  'Search',0,0                    ;
szSearching     db  ' Searching ',0                 ; status bar text
szSearched      db  ' Search complete in ',0,0,0,0  ;
szInclude       db  '\masm32\include\*.inc',0,0,0   ; default path if no .ini
szAppName       db  'M32LST',0,0                    ; .ini content
szKey1          db  'Path1',0,0,0                   ; 
szKey2          db  'Path2',0,0,0                   ; 
szKey3          db  'Path3',0,0,0                   ; 
szKey4          db  'Path4',0,0,0                   ; extra zeros to pad
szKey5          db  'Path5',0,0,0                   ; to 4-byte boundaries
szKey6          db  'Editor',0,0                    ;
ms              db  'ms',0,0

.data?
ofnPath         db  256 dup(?)                      ; path to OFN file
SelfDir         db  256 dup(?)                      ; .\IncFind.exe
szTemp          db  256 dup(?)                      ; 
szFile          db  256 dup(?)                      ; file string during search
szSearchQuery   db  256 dup(?)                      ; query term
path1           db  256 dup(?)                      ; search paths 1 to 5
path2           db  256 dup(?)                      ;
path3           db  256 dup(?)                      ;
path4           db  256 dup(?)                      ;
path5           db  256 dup(?)                      ;
path6           db  256 dup(?)                      ;
FindData        WIN32_FIND_DATA<>                   ; folder search details
OFN             OPENFILENAME<>                      ; file selection details
szTime          dq  ?                               ; 8 bytes for timer
nCase           dd  ?                               ; case toggle
nFileSize       dd  ?                               ; integer sizes
nReadBytes      dd  ?                               ; 
hSearch         dd  ?                               ; handles
hFiles          dd  ?                               ;
hBuffer         dd  ?                               ;
lvi             LV_ITEM<>                           ; listview scratch
lvc             LV_COLUMN<>                         ; 
hLV             dd  ?                               ; listview handle
hMaster         dd  ?                               ; original pointer
hMaster2        dd  ?                               ; incremental pointer
hMenu           dd  ?                               ;
hResults        dd  ?                               ;
hFind           dd  ?                               ;
hWnd            dd  ?                               ;
hWndO           dd  ?                               ;
hInstance       dd  ?                               ;
